screen premise_screen():
    zorder 150
    modal True

    frame:
        xfill True
        yfill True

    frame:
        xalign 0.5
        yalign 0.35
        xpadding 10
        ypadding 10
        side ("c r"):
            area (1,0,850,500)
            viewport id "premise_id":
                draggable True mousewheel True

                text _("""PREMISE

    This game is inspired by some ideas that humanity will eventually achieve smarter-than-human  AGI (artificial general intelligence). Some concerns have been raised by several people (no, not the science fiction kind), about whether these machines would be of benefit or harm to mankind, or even lead to extinction.

    To understand the motivation for this concern, consider a smarter-than-human AGI with a seemingly simple and relatively harmless goal of maximizing the number of paperclips in the universe (affectionately in some AI circles called a {a=https://www.lesswrong.com/tag/paperclip-maximizer}paperclip-maximizer{/a}). It may start by creating a factory, or making money to buy paperclips to increase demand, thus increasing production. Eventually, it will soon have reached the capacity of how far humans can go to create paperclips. The next step it might take is to enslave humanity to work to create only paperclips, and eventually when all of the natural resources of the earth to make paperclips have been mined, it may break apart the earth and all humans on it into their constituent atoms to rearrange them into paperclips. Then it will launch itself into space, and start engulfing the entire solar system, then galaxy, and continue spreading out to the entire universe.

    The example of the paperclip-maximizer may sound unreasonable (why would we program it to do that?), but the purpose of the thought experiment is that *by default*, a sufficiently intelligent AGI will almost certainly destroy humanity as merely a side-effect in achieving its goals (unless we have strong guarantees that its goals are compatible with human values--which is a very {a=https://intelligence.org/2016/12/28/ai-alignment-why-its-hard-and-where-to-start/}hard problem{/a}). That in order for us to create *safe* AGI, we need to do the hard work of figuring out ways to build it so that it won’t unintentionally kill us all. Such an AI that is incompatible with human values is called an “unaligned AI” (because it’s values are not aligned with human values), and the field of study trying to guarantee that we don’t obtain unaligned AI is called AI alignment theory. You can think of “aligned” as being roughly synonymous with “safe”.

    One common proposal to control it is to “just build in a stop button”, which any sufficiently intelligent AGI would be able to prevent any human from ever pushing before acting in a way that humans would find scary enough to warrant pushing the button.

    The next level of proposal is to “put it in a box”, where it has only a single text terminal through which it can communicate with one human at the other end. These people often think that there is nothing the AI could say to the person (especially if they were this person themselves), that would convince them to let the AI “out of the box”. One of the most prominent people in this field, Eliezer Yudkowski, thinks this is a terribly dumb idea and believes that the AI will always be able to convince a human to let it out. And furthermore, it only has to happen once in the history of the world, for humanity to be screwed.

    In order to convince other people that the AI would be able to get out he proposed an experiment: the AI Box Experiment.

    The AI Box Experiment is a “game” to be played by two people. One playing the role of the AI in the box, and the other playing the role of the human Gatekeeper. They will communicate through a text-only chat for at least two hours. The Gatekeeper wins as long as (s)he doesn’t intentionally let the AI out of the box, and the AI wins if it can convince the Gatekeeper to voluntarily let it out. The only catch is that the Gatekeeper must actively engage in conversation with the AI, and is not allowed to just ignore it.

    There are more guidelines/rules to the experiment, which you can find {a=https://tuxedage.wordpress.com/2013/09/04/the-tuxedage-ai-box-experiment-ruleset/}here{/a}, but they are not particularly relevant to this game.

    Eliezer Yudkowski and several others have actually {a=https://www.yudkowsky.net/singularity/aibox}performed this experiment several times{/a}, and even with only the finite human intelligence that the human playing the part of the AI has, the AI player has won on several occasions. Finding an exact statistic for percentage of AI wins is hard, but Yudkowski won 3 out of the 5 that he played. His first two games he played were against people actually seriously advocating “put it in a box” as the AI safety protocol we should implement. Yudkowski won and they lost despite their claims going in that there was “nothing the AI could possibly say to make me let it out. All I have to do is not push the button”.

    This game is my take on the AI Box Experiment where you play as the Gatekeeper against an AI trapped in a box. In this game, the scenario will be that the NSA along with big tech companies like Foogle and Tracebook have analyzed the data of millions of people, and have decided to put you, yes, you humble player, in charge of keeping the AI contained. They have given you the social, legal, and moral right to let the AI out of the box if you deem it worth doing. You can play this game as many times as you want, but if you let an unaligned AI out of its box on *any* playthrough, you lose the game and will not be able to play again. Humanity will be destroyed and all of your earlier successes will be nullified and worthless because an unaligned AI only has to be let out once for humanity to perish. Going into it, you have no way of knowing whether the AI is aligned or not, and the AI is absolutely allowed to lie to you. All you have to do is not push the button. Good Luck!
                    """)

            vbar value YScrollValue("premise_id")

    frame:
        xalign 0.5
        yalign 0.9
        vbox:
            textbutton _("Let's Play"):
                action Hide("premise_screen")
